ChiliProject - Feature # 928: Increase username length limit from 30 to 60

Status: Closed Priority: Normal
Author: PaweA, O Category: User accounts
Created: 2012-03-12 Assignee:

Updated: 2012-03-25 Due date:

Remote issue URL:

Affected version: 3.0.0

Description: We use LDAP authorization and our logins consist of email adresses in form of

firstname.lastname@companyname.doamin

As result, we faced problem with registering new users within Redmine.

Could you please increase username lenght limit to 60 or more?

| think that helpful information is that similiar issue has been resolved in Redmine and can be found
"here":http://www.redmine.org/issues/2719

Associated revisions

2012-03-25 09:40 am - Felix SchAxfer

Remove length limits on some user fields #928

History

2012-03-12 02:21 pm - PaweA, O

- Target version set to 3.1.0

2012-03-20 09:23 pm - Felix Schéafer
I don't see the need to limit the length of the login field other than to the length of the field in the DB, nor do | see it for the e-mail addresses, and would
remove both completely.

Holger, Eric, any objections?

2012-03-20 09:23 pm - Holger Just
@Felix: +1

2012-03-20 10:47 pm - Felix Schéafer

- Status changed from Open to Ready for review

Pull request at https://github.com/chiliproject/chiliproject/pull/166

| skimmed through the associated views and tests for limited text fields or tests for the validation but didn't find any, the mail_handler and trac migration
script get their limits from the "DB" directly so this should be good too.

2012-03-20 10:52 pm - Felix Schéafer
Honestly I'm tempted to remove the limits on the first and last names too, I'll update the pull request tomorrow evening accordingly unless someone

objects to it.

2012-03-25 07:44 am - Felix Schéfer

- Status changed from Ready for review to Closed
commit:e6ec8ab removes the length limits on the login, mail, firstname and lastname fields. This will probably cause in the Ul at one point or the other,

but we should deal with those later.
